/*global $,owl,smoothScroll,AOS,alert*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });

    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-100px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $('[data-fancybox]').fancybox();

    $(".co-slider").owlCarousel({
        nav: false,
        loop: true,
        navText: ["<i class='fas fa-arrow-left'></i>", "<i class='fas fa-arrow-right'></i>"],
        dots: false,
        autoplay: 5000,
        items: 3.3,
        autoplayHoverPause: true,
        center: false,
        responsiveClass: true,
        rtl: false,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 2
            },
            1300: {
                items: 3.3
            }
        }
    });

    $(".ev-slider").owlCarousel({
        nav: true,
        loop: true,
        navText: ["", ""],
        dots: true,
        autoplay: 5000,
        items: 3,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 3
            }
        }
    });

    $(".conf-slider").owlCarousel({
        nav: false,
        loop: true,
        navText: ["", ""],
        dots: false,
        autoplay: 5000,
        items: 4,
        autoplayHoverPause: true,
        center: false,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 4
            }
        }
    });


    $(".h-slider").owlCarousel({
        nav: true,
        loop: true,
        dots: true,
        autoplay: 5000,
        center: true,
        autoplaySpeed: 1000,
        autoplayHoverPause: true,
        items: 1,
        navText: ["", ""],
        animateIn: 'fadeIn',
        animateOut: 'fadeOut'
    });

    $(".ab-slider").owlCarousel({
        nav: false,
        loop: true,
        dots: true,
        autoplay: 5000,
        center: true,
        autoplaySpeed: 1000,
        autoplayHoverPause: true,
        items: 1,
        animateIn: 'fadeIn',
        animateOut: 'fadeOut'
    });

    $('.op-menu').click(function () {
        $('.wrapper').addClass('off');
        $('#menu-pop').addClass('on');
        $('#search-pop').removeClass('on');
    });

    $('.op-search').click(function () {
        $('.wrapper').addClass('off');
        $('#search-pop').addClass('on');
        $('#menu-pop').removeClass('on');
    });

    $('.off-sticky').click(function () {
        $('.wrapper').removeClass('off');
        $('#search-pop').removeClass('on');
        $('#menu-pop').removeClass('on');
    });

    AOS.init({
        once: true
    });

});